- 0.84.0 (latest)
- 0.82.0
- 0.81.0
- 0.80.0
- 0.79.0
- 0.77.0
- 0.75.0
- 0.74.0
- 0.73.0
- 0.72.0
- 0.71.0
- 0.69.0
- 0.67.0
- 0.66.0
- 0.63.0
- 0.62.0
- 0.61.0
- 0.59.0
- 0.58.0
- 0.57.0
- 0.56.0
- 0.55.0
- 0.54.0
- 0.53.0
- 0.52.0
- 0.51.0
- 0.50.0
- 0.48.0
- 0.47.0
- 0.46.0
- 0.45.0
- 0.44.0
- 0.43.0
- 0.42.0
- 0.41.0
- 0.40.0
- 0.39.0
- 0.38.0
- 0.36.0
- 0.35.0
- 0.34.0
- 0.33.0
- 0.32.0
- 0.31.0
- 0.30.0
- 0.29.0
- 0.28.0
- 0.27.0
- 0.26.0
- 0.23.0
- 0.22.0
- 0.21.0
- 0.20.0
- 0.19.0
- 0.18.0
- 0.17.0
- 0.16.0
- 0.15.0
- 0.14.0
- 0.13.0
- 0.12.0
- 0.11.0
- 0.10.0
- 0.8.0
- 0.7.0
- 0.6.0
- 0.5.0
- 0.4.0
- 0.3.0
- 0.2.4
public static final class SearchFilesRequest.Builder extends GeneratedMessage.Builder<SearchFilesRequest.Builder> implements SearchFilesRequestOrBuilderConfiguration containing file search request parameters.
Protobuf type google.cloud.dataform.v1.SearchFilesRequest
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > SearchFilesRequest.BuilderImplements
SearchFilesRequestOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public SearchFilesRequest build()| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest |
|
buildPartial()
public SearchFilesRequest buildPartial()| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest |
|
clear()
public SearchFilesRequest.Builder clear()| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
|
clearFilter()
public SearchFilesRequest.Builder clearFilter() Optional. Optional filter for the returned list in filtering format.
Filtering is only currently supported on the path field.
See https://google.aip.dev/160 for details.
string filter = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
This builder for chaining. |
clearPageSize()
public SearchFilesRequest.Builder clearPageSize()Optional. Maximum number of search results to return. The server may return fewer items than requested. If unspecified, the server will pick an appropriate default.
int32 page_size = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
This builder for chaining. |
clearPageToken()
public SearchFilesRequest.Builder clearPageToken() Optional. Page token received from a previous SearchFilesRequest
call. Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to SearchFilesRequest,
with the exception of page_size, must match the call that provided the
page token.
string page_token = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
This builder for chaining. |
clearWorkspace()
public SearchFilesRequest.Builder clearWorkspace()Required. The workspace's name.
string workspace = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
This builder for chaining. |
getDefaultInstanceForType()
public SearchFilesRequest getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getFilter()
public String getFilter() Optional. Optional filter for the returned list in filtering format.
Filtering is only currently supported on the path field.
See https://google.aip.dev/160 for details.
string filter = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
String |
The filter. |
getFilterBytes()
public ByteString getFilterBytes() Optional. Optional filter for the returned list in filtering format.
Filtering is only currently supported on the path field.
See https://google.aip.dev/160 for details.
string filter = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for filter. |
getPageSize()
public int getPageSize()Optional. Maximum number of search results to return. The server may return fewer items than requested. If unspecified, the server will pick an appropriate default.
int32 page_size = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
int |
The pageSize. |
getPageToken()
public String getPageToken() Optional. Page token received from a previous SearchFilesRequest
call. Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to SearchFilesRequest,
with the exception of page_size, must match the call that provided the
page token.
string page_token = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
String |
The pageToken. |
getPageTokenBytes()
public ByteString getPageTokenBytes() Optional. Page token received from a previous SearchFilesRequest
call. Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to SearchFilesRequest,
with the exception of page_size, must match the call that provided the
page token.
string page_token = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for pageToken. |
getWorkspace()
public String getWorkspace()Required. The workspace's name.
string workspace = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Returns | |
|---|---|
| Type | Description |
String |
The workspace. |
getWorkspaceBytes()
public ByteString getWorkspaceBytes()Required. The workspace's name.
string workspace = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for workspace. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(SearchFilesRequest other)
public SearchFilesRequest.Builder mergeFrom(SearchFilesRequest other)| Parameter | |
|---|---|
| Name | Description |
other |
SearchFilesRequest |
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public SearchFilesRequest.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public SearchFilesRequest.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
|
setFilter(String value)
public SearchFilesRequest.Builder setFilter(String value) Optional. Optional filter for the returned list in filtering format.
Filtering is only currently supported on the path field.
See https://google.aip.dev/160 for details.
string filter = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe filter to set. |
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
This builder for chaining. |
setFilterBytes(ByteString value)
public SearchFilesRequest.Builder setFilterBytes(ByteString value) Optional. Optional filter for the returned list in filtering format.
Filtering is only currently supported on the path field.
See https://google.aip.dev/160 for details.
string filter = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for filter to set. |
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
This builder for chaining. |
setPageSize(int value)
public SearchFilesRequest.Builder setPageSize(int value)Optional. Maximum number of search results to return. The server may return fewer items than requested. If unspecified, the server will pick an appropriate default.
int32 page_size = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
intThe pageSize to set. |
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
This builder for chaining. |
setPageToken(String value)
public SearchFilesRequest.Builder setPageToken(String value) Optional. Page token received from a previous SearchFilesRequest
call. Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to SearchFilesRequest,
with the exception of page_size, must match the call that provided the
page token.
string page_token = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe pageToken to set. |
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
This builder for chaining. |
setPageTokenBytes(ByteString value)
public SearchFilesRequest.Builder setPageTokenBytes(ByteString value) Optional. Page token received from a previous SearchFilesRequest
call. Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to SearchFilesRequest,
with the exception of page_size, must match the call that provided the
page token.
string page_token = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for pageToken to set. |
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
This builder for chaining. |
setWorkspace(String value)
public SearchFilesRequest.Builder setWorkspace(String value)Required. The workspace's name.
string workspace = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe workspace to set. |
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
This builder for chaining. |
setWorkspaceBytes(ByteString value)
public SearchFilesRequest.Builder setWorkspaceBytes(ByteString value)Required. The workspace's name.
string workspace = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for workspace to set. |
| Returns | |
|---|---|
| Type | Description |
SearchFilesRequest.Builder |
This builder for chaining. |